module(...)
--magic editor build
DATA={
	atk_stophit=true,
	cmds={
		[1]={
			args={action_name=[[attack2]],excutor=[[atkobj]],},
			func_name=[[PlayAction]],
			start_time=0,
		},
		[2]={
			args={color={a=0,b=255,g=255,r=255,},excutor=[[vicobjs]],fade_time=0,},
			func_name=[[ActorColor]],
			start_time=0,
		},
		[3]={args={alive_time=0.5,},func_name=[[Name]],start_time=0,},
		[4]={
			args={
				alive_time=2,
				bind_type=[[empty]],
				effect={
					is_cached=true,
					magic_layer=[[center]],
					path=[[Effect/Magic/magic_eff_new_508/Prefabs/508_attack2_1.prefab]],
					preload=true,
				},
				excutor=[[atkobj]],
				height=0,
			},
			func_name=[[BodyEffect]],
			start_time=0.01,
		},
		[5]={
			args={
				alive_time=2.5,
				color={a=255,b=255,g=255,r=255,},
				excutor=[[vicobjs]],
				fade_time=2.5,
			},
			func_name=[[ActorColor]],
			start_time=0.01,
		},
		[6]={
			args={
				alive_time=1.52,
				bind_idx=1,
				bind_type=[[node]],
				effect={
					is_cached=true,
					magic_layer=[[center]],
					path=[[Effect/Magic/magic_eff_508/Prefabs/magic_eff_50801_att.prefab]],
					preload=true,
				},
				excutor=[[atkobj]],
				height=0,
			},
			func_name=[[BodyEffect]],
			start_time=0.1,
		},
		[7]={
			args={
				alive_time=2.5,
				effect={
					is_cached=true,
					magic_layer=[[center]],
					path=[[Effect/Magic/magic_eff_new_508/Prefabs/508_hit2_1.prefab]],
					preload=true,
				},
				effect_dir_type=[[empty]],
				effect_pos={base_pos=[[vic]],depth=0,relative_angle=0,relative_dis=0,},
				excutor=[[vicobjs]],
			},
			func_name=[[StandEffect]],
			start_time=1,
		},
		[8]={args={},func_name=[[End]],start_time=3.5,},
	},
	group_cmds={},
	pre_load_res={
		[1]=[[Effect/Magic/magic_eff_new_508/Prefabs/508_attack2_1.prefab]],
		[2]=[[Effect/Magic/magic_eff_508/Prefabs/magic_eff_50801_att.prefab]],
		[3]=[[Effect/Magic/magic_eff_new_508/Prefabs/508_hit2_1.prefab]],
	},
	run_env=[[war]],
	type=1,
	wait_goback=false,
}
